com.atid.lib.module.barcode.ssi.type

## Enum QuietZoneLevel1D

- java.lang.Object
- - java.lang.Enum<QuietZoneLevel1D>
  - - com.atid.lib.module.barcode.ssi.type.QuietZoneLevel1D

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<QuietZoneLevel1D>

      public enum QuietZoneLevel1D
      extends java.lang.Enum<QuietZoneLevel1D>
      implements IEnumType

  This feature sets the level of aggressiveness in decoding bar codes with a reduced quiet zone (the area in front of and at the end of a bar code), and applies to symbologies enabled by a Reduced Quiet Zone parameter. Because higher levels increase the decoding time and risk of misdecodes, Zebra strongly recommends enabling only the symbologies which require higher quiet zone levels, and leaving Reduced Quiet Zone disabled for all other symbologies.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Level0` The digital scanner performs normally in terms of quiet zone.
    `Level1` The digital scanner performs more aggressively in terms of quiet zone.
    `Level2` The digital scanner only requires one side EB (end of bar code) for decoding.
    `Level3` The digital scanner decodes anything in terms of quiet zone or end of bar code.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static QuietZoneLevel1D` | `valueOf(int code)`
    `static QuietZoneLevel1D` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QuietZoneLevel1D[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Level0

          public static final QuietZoneLevel1D Level0

      The digital scanner performs normally in terms of quiet zone.

    - #### Level1

          public static final QuietZoneLevel1D Level1

      The digital scanner performs more aggressively in terms of quiet zone.

    - #### Level2

          public static final QuietZoneLevel1D Level2

      The digital scanner only requires one side EB (end of bar code) for decoding.

    - #### Level3

          public static final QuietZoneLevel1D Level3

      The digital scanner decodes anything in terms of quiet zone or end of bar code.

  - ### Method Detail

    - #### values

          public static QuietZoneLevel1D[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QuietZoneLevel1D c : QuietZoneLevel1D.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QuietZoneLevel1D valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<QuietZoneLevel1D>`

    - #### valueOf

          public static QuietZoneLevel1D valueOf(int code)